org.mariadb.jdbc.internal.queryresults

## Class AbstractQueryResult

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.AbstractQueryResult

Direct Known Subclasses:
  SelectQueryResult, UpdateResult

    public abstract class AbstractQueryResult
    extends Object

### Field Summary

Fields
`protected boolean` `isClosed`

### Constructor Summary

Constructors
Constructor and Description
`AbstractQueryResult()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `addResult(AbstractQueryResult other)`
`void` `close()`
`abstract ColumnInformation[]` `getColumnInformation()`
`abstract ResultSetType` `getResultSetType()`
`abstract int` `getRows()`
`boolean` `isClosed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isClosed

    protected boolean isClosed

### Constructor Detail

#### AbstractQueryResult

    public AbstractQueryResult()

### Method Detail

#### addResult

    public abstract void addResult(AbstractQueryResult other)

#### getResultSetType

    public abstract ResultSetType getResultSetType()

#### close

    public void close()

#### isClosed

    public boolean isClosed()

#### getColumnInformation

    public abstract ColumnInformation[] getColumnInformation()

#### getRows

    public abstract int getRows()